using System;

namespace Finale
{
    class Program
    {
        static void Main(string[] args)
        {
            int a, b;
            string red;
            red = Console.ReadLine();
            a = int.Parse(red.Split(' ')[0].ToString());
            b = int.Parse(red.Split(' ')[1].ToString());
            int O = a + a + ((b - 2) * 2);
            int resenje = O + (a * b - O) / 2;
            Console.WriteLine(resenje);
        }
    }
}